# highscore_gui.cpp File Reference

Definition of the HighScore and EndGame windows. More...

`#include "highscore.h"`
`#include "table/strings.h"`
`#include "gfx_func.h"`
`#include "table/sprites.h"`
`#include "window_gui.h"`
`#include "window_func.h"`
`#include "network/network.h"`
`#include "command_func.h"`
`#include "company_func.h"`
`#include "company_base.h"`
`#include "settings_type.h"`
`#include "strings_func.h"`
`#include "openttd.h"`

Go to the source code of this file.

## Data Structures
struct | EndGameHighScoreBaseWindow
struct | EndGameWindow
| End game window shown at the end of the game. More...
struct | HighScoreWindow
## Functions
void | ShowHighscoreTable (int difficulty, int8 ranking)
| Show the highscore table for a given difficulty.
void | ShowEndGameChart ()
| Show the endgame victory screen in 2050.
## Variables
static const Widget | _highscore_widgets []
static const WindowDesc | _highscore_desc (0, 0, 641, 481, 641, 481, WC_HIGHSCORE, WC_NONE, 0, _highscore_widgets)
static const WindowDesc | _endgame_desc (0, 0, 641, 481, 641, 481, WC_ENDSCREEN, WC_NONE, 0, _highscore_widgets)

## Detailed Description

Definition of the HighScore and EndGame windows.

Definition in file highscore_gui.cpp.

## Function Documentation

void ShowEndGameChart | ( |  | ) |

Show the endgame victory screen in 2050.

Update the new highscore if it was high enough

Definition at line 194 of file highscore_gui.cpp.

References DeleteWindowByClass(), and HideVitalWindows().

void ShowHighscoreTable | ( | int | difficulty,
|  | int8 | ranking |
| ) |  |  |

Show the highscore table for a given difficulty.

When called from endgame ranking is set to the top5 element that was newly added and is thus highlighted

Definition at line 186 of file highscore_gui.cpp.

References DeleteWindowByClass().

## Variable Documentation

const Widget _highscore_widgets[]`[static]`

Initial value:

     {
    {      WWT_PANEL, RESIZE_NONE,  COLOUR_END, 0, 640, 0, 480, 0x0, STR_NULL},
    {   WIDGETS_END},
    }

Definition at line 164 of file highscore_gui.cpp.